<?php
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `alduin_log` WHERE `id_alduin` = '$batle[id]'"),0);
$q = mysql_query("SELECT * FROM `alduin_log` WHERE `id_alduin` = '$batle[id]' ORDER BY `id` DESC LIMIT 15");
if($k_post == 0) echo "Логов не найдено...";
while($post = mysql_fetch_assoc($q)) {
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[id_user] LIMIT 1"));
$ank2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[id_user2] LIMIT 1"));
if($post['tipe'] == 'user'){
if($myID == $ank[id]) {
echo "<font color='yellow'>Вы атаковали $title на: <b>$post[uron]</font></b><br>";
}else{
echo icons_user($ank['id'])." <a href='/profile/$ank[id]'>$ank[login]</a> атаковал".($ank['sex'] == 'w' ? 'а' : '')." $title на <b>$post[uron]</b><br>";
}
}elseif($post['tipe'] == 'alduin'){
if($myID == $ank[id]) {
echo "<font color='red'>Алдуин атаковал вас на: <b>$post[uron]</b></font><br>";
}
}elseif($post['tipe'] == 'zahvat'){
if($myID == $ank[id]) {
echo "Вы победили Алдуина<br>";
}else{
echo icons_user($ank['id'])." <a href='/profile/$ank[id]'>$ank[login]</a> победил".($ank['sex'] == 'w' ? 'а' : '')." Алдуина<br>";
}
}elseif($post['tipe'] == 'remont'){
if($myID == $ank[id]){
echo "Вы вылечили $title  на: <b>$post[uron]</b><br>";
}else{
echo icons_user($ank['id'])." <a href='/profile/$ank[id]'>$ank[login]</a> вылечил".($ank['sex'] == 'w' ? 'а' : '')." $title на <b>$post[uron]</b><br>";
}
}elseif($post['tipe'] == 'users'){
if($myID == $ank[id]){
echo "Вы атаковали ".icons_user($ank2['id'])." <a href='/profile/$ank2[id]'>$ank2[login]</a> на: <b>$post[uron]</b><br>";
}elseif($myID == $ank2[id]){
echo icons_user($ank['id'])." <font color='red'><a href='/profile/$ank[id]'>$ank[login]</a> атаковал".($ank['sex'] == 'w' ? 'а' : '')." вас на: <b>$post[uron]</b></font><br>";
}else{
echo icons_user($ank['id'])." <a href='/profile/$ank[id]'>$ank[login]</a> атаковал".($ank['sex'] == 'w' ? 'а' : '')." ".icons_user($ank2['id'])." <a href='/profile/$ank2[id]'>$ank2[login]</a> на <b>$post[uron]</b><br>";
}
}
}
require_once ('system/footer.php');
?>